
Redmine - Patch #27671

Use reverse_each instead of reverse.each for better performance

2017-11-29 03:24 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Performance Estimated time: 0.00 hour

Target version: 4.0.0   

Description

Array#reverse_each is faster than Array#reverse.each because reverse_each does not create an intermediate array.

Pull request https://github.com/redmine/redmine/pull/84 by Timur Tarasenko.

Associated revisions

Revision 17137 - 2017-12-31 02:34 - Go MAEDA

Use reverse_each instead of reverse.each (#27671).

Patch by Timur Tarasenko.

History

#1 - 2017-11-29 10:38 - Go MAEDA

- Target version set to 4.1.0

#2 - 2017-12-31 02:35 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version changed from 4.1.0 to 4.0.0

Committed.

Files
